
D4Science Infrastructure - Task #12118

Task # 9122 (New): Upgrade MongoDB to 3.4 version

MongoDB: upgrade production cluster to version 3.4

Jul 05, 2018 03:36 PM - Roberto Cirillo

Status: Closed Start date: Jul 13, 2018

Priority: Normal Due date: Jul 13, 2018

Assignee: Roberto Cirillo % Done: 100%

Category: Data Management Estimated time: 0.00 hour

Target version: Upgrade MongoDB to 3.4 version   

Infrastructure: Production   

Description

The upgrade will be done in the following way:

Upgrade secondary members of the replica set;

Step down the replica set primary;

Upgrade the primary.

Related issues:

Related to D4Science Infrastructure - Upgrade #12116: D4Science Root VO upgra... Completed Jul 13, 2018 Jul 13, 2018

Blocked by D4Science Infrastructure - Task #12117: MongoDB: upgrade productio... Closed Jul 13, 2018 Jul 13, 2018

History

#1 - Jul 05, 2018 03:37 PM - Roberto Cirillo

- Blocked by Task #12117: MongoDB: upgrade production cluster to version 3.2 added

#2 - Jul 05, 2018 03:38 PM - Roberto Cirillo

- Related to Upgrade #12116: D4Science Root VO upgrade to gCube 4.12 added

#3 - Jul 10, 2018 11:46 AM - Roberto Cirillo

It's also needed to upgrade the volatile area hosted on mongo-p-vol.d4science.org. This instance is running with 3.2.8 version.

#4 - Jul 17, 2018 03:15 PM - Tommaso Piccioli

- Status changed from New to In Progress

- % Done changed from 0 to 70

#5 - Jul 17, 2018 03:46 PM - Tommaso Piccioli

- Status changed from In Progress to Feedback

- % Done changed from 70 to 100

All nodes, included mongo-p-vol.d4science.org, updated to mongodb-org version 3.4.16

#6 - Jul 17, 2018 03:46 PM - Tommaso Piccioli

- Assignee changed from Tommaso Piccioli to Roberto Cirillo

#7 - Jul 17, 2018 06:41 PM - Roberto Cirillo

- Status changed from Feedback to Closed
